import { AggregationMappingResource } from '@admin-client/reporting-shared';
import { ConvertForDataTestPipe, ToResourceUriPipe } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { ListItemComponent } from '@ods/system';

@Component({
  selector: 'admin-aggregation-mapping-list-item',
  standalone: true,
  templateUrl: './aggregation-mapping-list-item.component.html',
  imports: [ConvertForDataTestPipe, ListItemComponent, ToResourceUriPipe],
  styles: [':host {@apply block}'],
})
export class AggregationMappingListItemComponent {
  @Input({ required: true }) aggregationMapping: AggregationMappingResource;
}
