# PVOG-Mock Yaml erzeugen

- PVOG-Rohdaten für das betreffene Bundesland (z.B. Schleswig-Holstein) herunterladen (XML)
- Den E2E-Tester/die -Testerin nach der gewünschten Behörde fragen (am besten OID, z.B. 9093371)
- In den Rohdaten danach suchen
```bash
  grep -niro "schemeID=\"OID\">9093371</xzufi:id>"
```
- Die Datei im Texteditor öffnen (z.B. Notepad++ mit XMLTools Plugin)
- XMLTools "Pretty Print" anwenden.
- In der Datei nach dem XML-Block suchen:
```xml
 <xzufi:schreibe>
  <xzufi:organisationseinheit xsi:type="xzufi:OrganisationseinheitErweitert" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <xzufi:id schemeAgencyID="L100012" schemeID="OID">9093371</xzufi:id>
    ...
 </xzufi:organisationseinheit>
  </xzufi:schreibe>
```
- Diesen Block herauskopieren
- In einer anderen Datei die PVOG-Antwortnachricht vorbereiten, Template:
```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xzufi:transfer.operation.040502 produktbezeichnung="PVOG" produkthersteller="Dataport AöR" xzufiVersion="2.2.0" xmlns:xzufi="http://xoev.de/schemata/xzufi/2_2_0" xmlns:gml="http://www.opengis.net/gml/3.2" xmlns:xlink="http://www.w3.org/1999/xlink">
  <xzufi:nachrichtenkopf>
      <xzufi:nachrichtUUID>ce415b36-8905-372b-ba2f-2d471835d99d</xzufi:nachrichtUUID>
      <xzufi:erstelltDatumZeit>2024-08-21T13:36:26.166+02:00</xzufi:erstelltDatumZeit>
  </xzufi:nachrichtenkopf>
  ...
</xzufi:transfer.operation.040502>
```
- An die Stelle der 3 Punkte die Organisationseinheit reinkopieren
- (Schritte wiederholen für mehr Organisationseinheiten)
- (opt.) mit XMLTools "Validate XML" anwenden (prüft XML Grundstruktur)
- XMLTools "Linearize" anwenden.
- Suchen und Ersetzen: " -> \\" (Stringifiziert die Double-Quotes)
- Ergebnis in pvog-mock.yaml in die JSON, Feld "xzufiObjekte" einfügen