import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';

@Component({
  selector: 'app-impressum-page',
  standalone: true,
  imports: [CommonModule],
  template: `<div class="ozg-prose prose prose-h1:text-4xl prose-h2:text-2xl">
    <h1>Impressum</h1>
    <p>
      Der Ministerpräsident - Staatskanzlei <br />
      StK 3 – Digitalisierung und Zentrales IT-Management <br />
      Düsternbrooker Weg 104 <br />
      24105 Kiel
    </p>
    <p>
      E-Mail: <br />
      <a href="mailto:digitalisierung@stk.landsh.de">Digitalisierung&#64;stk.landsh.de</a>
    </p>
    <p>
      Verantwortlich <br />
      Dr. Moritz Karg <br />
      StK 30 – Grundsatzangelegenheiten der Digitalisierung und des EGovernments
    </p>

    <p>
      E-Mail: <br />
      <a href="mailto:digitalisierung@stk.landsh.de">Digitalisierung&#64;stk.landsh.de</a>
    </p>
  </div>`,
})
export class ImpressumPageComponent {}
